This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 695810 - Unable to schedule operation from context menu in group tree
Unable to schedule operation from context menu in group tree
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
urgent Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq41 rhq41-ui
  Show dependency treegraph
 
Reported: 2011-04-12 14:26 EDT by John Sanda
Modified: 2013-09-02 03:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2011-04-12 14:26:11 EDT
Description of problem:
When I view a group tree for an EAP 5 group, and select the restart operation from the context menu for a webapp, nothing happens. But when viewing the resource tree for a platform and select the restart operation from the context menu, I am taken to the Create New Operation Schedule page.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a compatible group of JBoss servers.
2. Select Inventory from the top-level nav.
3. Select Compatible Groups from the lower left.
4. Find and click on your JBoss AS group.
5. When the resource tree is rendered, right click on the root node, select Operations, then Restart.
  
Actual results:
Nothing happens

Expected results:
Should be taken to the Create New Operation Schedule page.

Additional info:
Comment 1 Heiko W. Rupp 2011-04-13 06:53:58 EDT
Perhaps related:

when the operation from the context menu is selected, it can not be scheduled the save/schedule button is disabled.

Selecting a different operation in the operations dropdown enables the save/schedule button.
Comment 2 Jay Shaughnessy 2011-08-18 09:01:56 EDT
The first thing I notice is what Heiko reports above: for context menu launched operation scheduling (group or resource tree), the schedule button is disabled.  To enable it you actually need to reselect the operation.  Starting there...
Comment 3 Jay Shaughnessy 2011-08-18 11:24:29 EDT
While working the above "schedule button disabled" issue I see also
that the reset button does not really work at all. Looking into whether
that is fixable or whether we may want to remove that button.
Comment 4 Jay Shaughnessy 2011-08-18 17:20:39 EDT
master commit: b08cf4047af122f3e9ece38a390d4cec36905d9f

OK, I think everything is resolved, the schedule button should enable and disable correctly and should play with the reset button.  The reset button should properly reset to no "selection" if you came in through the New button, or to the originally selected operation if you came in through the context menu. Also, it should also remove/reset description and operation argument stuff.  The operation names should not be sorted.  Of course you should also be able to actually get the operation scheduled.

Should test the Operation-Schedules->New button as well as the tree Context menu approach for resources, compat groups and autogroups.
Comment 5 Jay Shaughnessy 2011-08-19 11:11:56 EDT
Moving back to ON_DEV because there is one more bug I see that I want to tack on here. I know, I know, should be different BZs...  If any of the QA fails please create a new BZ for the specific bug and set this one to verified.  I;ll describe the last problem in another comment.
Comment 6 Jay Shaughnessy 2011-08-19 12:06:56 EDT
Back to ON_QA with one more fix. In addition to above fixes/qa validation, also:

master commit cf9bcd6d8b65eabf03c19de9c231046d493c01bf

Now will not schedule job with invalid operation parameters config.
Clicking the Schedule button with invalid parameter or trigger
configuration will provide warning message for and wait for
resolution.
Comment 7 Mike Foley 2011-08-22 14:18:43 EDT
verified as follows:
1) scheduling operations via right-click context menu on individual resources
2) scheduling operations via right-click context menu on compatible groups
Comment 8 Heiko W. Rupp 2013-09-02 03:15:54 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.